<solidify-base-action-dialog [titleToTranslate]="labelTranslateEnum.disseminationPolicy | translate">
  <div class="form">
    <mat-form-field *ngIf="formControlDisseminationPolicy as fd"
                    [class.mat-form-field-invalid]="formValidationHelper.hasRequiredField(formControlDisseminationPolicy)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{labelTranslateEnum.disseminationPolicy | translate}}</mat-label>
      <mat-select [solidifyDataTest]="dataTestEnum.depositDataCategory"
                  [formControl]="fd"
      >
        <mat-option *ngFor="let dissemination of disseminationPolicies"
                    [value]="dissemination.resId"
                    solidifyTooltipOnEllipsis
        >
          {{dissemination.name | translate}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngFor="let fd of formValidationHelper.getListFormControlFromFormGroup($any(formGroup))"
                    [appearance]="appearanceInputMaterial"
                    [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                    solidifyTooltipOnEllipsis
    >
      <mat-label>{{stringUtil.convertToSentence(formValidationHelper.getControlName(fd))}}</mat-label>
      <input [formControl]="fd"
             [required]="formValidationHelper.hasRequiredField(fd)"
             [solidifyValidation]="errors"
             matInput
      >
      <mat-error #errors
                 solidifyTooltipOnEllipsis
      ></mat-error>
    </mat-form-field>

    <div *ngIf="isAnotherDisseminationPolicyWithSameParams"
         class="error"
    >
      {{labelTranslateEnum.thereIsAnotherDisseminationPolicyDefinedWithTheSameParameters | translate}}
    </div>
  </div>
</solidify-base-action-dialog>
<div mat-dialog-actions>
  <button [mat-dialog-close]=""
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="validate()"
          (onEnter)="validate()"
          [disabled]="formGroup.invalid || formControlDisseminationPolicy.invalid || isAnotherDisseminationPolicyWithSameParams"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{(isEditMode ? labelTranslateEnum.edit : labelTranslateEnum.create) | translate}}
  </button>
</div>
